%global debug_package %{nil}

%global provider github
%global provider_tld com
%global project kubernetes-sigs
%global repo cri-tools
# https://github.com/kubernetes-sigs/cri-tools
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path %{provider_prefix}
%global git0 https://%{provider_prefix}
%global commit0 dba49fb2907fb3947486b7ec4bb3e297f8e8fffb
%global shortcommit0 %(c=%{commit0}; echo ${c:0:8})

Name: %{repo}
Version: 1.17.0
#Release: git%{shortcommit0}%{?dist}
Release: 1%{?dist}
Summary: OCI container runtime monitor
License: ASL 2.0
URL: %{git0}
Source0: %{git0}/archive/%{commit0}/%{name}-%{shortcommit0}.tar.gz
ExclusiveArch: aarch64 %{arm} ppc64le s390x x86_64
BuildRequires: %{?go_compiler:compiler(go-compiler)}%{!?go_compiler:golang}
BuildRequires: gcc
BuildRequires: glib2-devel
BuildRequires: glibc-devel
BuildRequires: git
BuildRequires: pkgconfig

%description
%{summary}

%prep
%autosetup -Sgit -n %{name}-%{commit0}

%build
%{__make} all

%install
%{__make} PREFIX=%{buildroot}%{_usr} BINDIR=%{buildroot}/%{_usr}/bin install


%check

#define license tag if not already defined
%{!?_licensedir:%global license %doc}

%files
%license LICENSE
%doc README.md
%{_usr}/bin/critest
%{_usr}/bin/crictl

%changelog
* Mon Oct 01 2018 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-0.1.gite7805e2
- new package

